=== debian/changelog ===
elisa-player (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:17:38 +0000

elisa-player (25.12.1-1ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:36:51 +0000

elisa-player (25.12.1-1ubuntu2) resolute; urgency=medium

  * d/rules: Don't pass -Skf5 to dh_auto_configure.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Jan 2026 15:59:22 +0000

elisa-player (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Jan 2026 12:12:06 +0000

elisa-player (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:56:51 +0000
